package com.lc.myapplication.security.locks.lockroom;

import androidx.room.Entity;
import androidx.room.Index;
import androidx.room.PrimaryKey;

import com.lc.myapplication.security.locks.value.MeValues;

@Entity(tableName = MeValues.TABLE_NAME,indices = {@Index(value = {"apppakname"},unique = true)})
public class SecurityLockEntity {
    @PrimaryKey(autoGenerate = true)
    private int appid;
    private String apppakname;
    private String applsign;
    private String applogo;
    private boolean locksuccess;

    public int getAppid() {
        return appid;
    }

    public void setAppid(int appid) {
        this.appid = appid;
    }

    public String getApppakname() {
        return apppakname;
    }

    public void setApppakname(String apppakname) {
        this.apppakname = apppakname;
    }

    public String getApplsign() {
        return applsign;
    }

    public void setApplsign(String applsign) {
        this.applsign = applsign;
    }

    public String getApplogo() {
        return applogo;
    }

    public void setApplogo(String applogo) {
        this.applogo = applogo;
    }

    public boolean isLocksuccess() {
        return locksuccess;
    }

    public void setLocksuccess(boolean locksuccess) {
        this.locksuccess = locksuccess;
    }
}
